### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/form-api-service.ts`

### Index

###### Methods
createForm createFormByFrameMetaData deleteFormInstanceById getFormInstanceById

### Constructor

`constructor(multipleStore: MultiStoreService, formService: FormService)`
Parameters :
Name | Type | Optional
multipleStore | `MultiStoreService` | No
formService | `FormService` | No

### Methods

createForm
`createForm(metaData: UxDynFormModelArray, initialData?: object, options?: UxDynFormOptions)`
Parameters :
Name | Type | Optional
metaData | `UxDynFormModelArray` | No
initialData | `object` | Yes
options | `UxDynFormOptions` | Yes
Returns : `DynFormApi`

createFormByFrameMetaData
`createFormByFrameMetaData(formFrameData: UxDynFormFrameMetaData)`
Parameters :
Name | Type | Optional
formFrameData | `UxDynFormFrameMetaData` | No
Returns : `DynFormApi`

deleteFormInstanceById
`deleteFormInstanceById(frameId: string)`
Parameters :
Name | Type | Optional
frameId | `string` | No
Returns : `void`

getFormInstanceById
`getFormInstanceById(frameId: string)`
It will give the frame's run-time DynFormApi instance Parameters :
Name | Type | Optional
frameId | `string` | No
Returns : `DynFormApi`

# result-matching ""

# No results matching ""